/**
 - Base color: #86DC3D
**/

@font-face {
    font-family: Montserrat;
    src: url("fonts/Montserrat-VariableFont_wght.ttf") format("ttf");
    font-display: swap;
}
@font-face {
    font-family: "Roboto Slab";
    src: url("fonts/RobotoSlab-VariableFont_wght.ttf") format("ttf");
    font-display: swap;
}


body, html {
    font-family: Montserrat, sans-serif;
    background-color: #f9f9f9;
    color: #2f2f2f;
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    font-size: 18px;
    font-weight: 300;
    scroll-behavior: smooth;
}

.container {
    display: inline-block;
    width: 100%;
    height: 100%;
}
.content {
    padding: 60px 30px;
}

a {
    text-decoration: none;
}
a:hover {
    cursor: pointer;
    border-bottom: 2px solid #409D78;
}
.border {
    display: inline-block;
    width: 300px;
    border-bottom: 4px solid #409D78;
    margin: 20px;
}

h1, h2, h3, h4, h5{
    font-family: 'Roboto Slab', sans-serif;
    margin: 0;
    padding: 0;
}
h2 {
    display: inline-block;
    color: #409D78;
    border-bottom: 2px solid #409D78;
    margin-bottom: 30px;
}
h1 {
    font-size: 4rem;
    font-weight: 200;
    text-transform: uppercase;
}
h3 {
    font-size: 2rem;
}
h4 {
    color: #f9f9f9;
    border-bottom: 2px solid #f9f9f9;
    display: inline-block;
}

/* Header */
header {
    position: fixed;
    z-index: 9999;
    width: 100%;
    background-color: #f9f9f9;
}
header .content {
    padding: 15px 30px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}
header .mobile-menu {
    display: none;
    height: 45px;
    position: absolute;
    right: 30px;    
}
.content__right {
    position: absolute;
    right: 20px;
    justify-self: right;
    font-weight: bold;
}
.content__right div {
    display: inline-block;
    padding: 0 10px;
}
.content__right a {
    color: #409D78;
}
header .donation {
    border: 3px solid #409D78;
    color: #409D78;
    padding: 5px 10px;
    margin-right: 20px;
}
header .donation:hover {
    cursor: pointer;
    background-color: #409D78;
}
header .donation:hover a {
    color: #f9f9f9 !important;
}
.logo {
    background-image: url('images/Deterre_logo_fond_blanc.svg');
    background-repeat: no-repeat;
    background-size: contain;
    height: 70px;
    width: 200px;
}

footer {
    background-color: #409D78;
    color: #2f2f2f;
    margin-top: 60px;
}
footer a img {
    height: 24px;
    vertical-align: bottom;
}
footer a:hover {
    opacity: .7;
    border-bottom: 1px solid transparent !important;
}

/* Menu */
.menu {
    position: fixed;
    display: none;
    top: 0;
    z-index: 99999;
    height: 100%;
    width: 100%;
    background-color: #409D78;
    text-align: center;
}
.menu a {
    color: #f9f9f9;
    font-size: 2rem;
}
.menu .donation {
    border: 3px solid #f9f9f9;
    display: inline-block;
    color: #409D78;
    padding: 5px 10px;
    margin-top: 30px;
    margin-right: 0;
}
.menu__close {
    position: absolute;
    height: 45px;
    top: 25px;
    right: 30px;
}
.menu__close:hover {
    cursor: pointer;
}
.menu__content {
    position: relative;
    top: 50%;
    transform: translateY(-50%);
}
.menu__contact {
    position: absolute;
    bottom: 30px;
    width: 100%;
    margin: 0 auto;
}
.menu__contact img {
    height: 34px;
}

/* Homepage */
.homepage {
    height: 100%;
    color: #f9f9f9;
    background-image: url('images/img_bg.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: top;
    /* background-color: #409D78; */
}
.homepage .content {
    position: relative;
    text-align: center;
    top: calc(50% + 90px);
    transform: translateY(-50%);
    z-index: 1000;
}
.homepage::after {
    content: '';
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
    z-index: 999;
}

/* About us */
.about-us {
    max-width: 920px;
    margin: 0 auto;
    text-align: center;
}

/* Statistics */
.statistics {
    background-color: #409D78;
    color: #f9f9f9;
    text-align: center;
}
.statistics .content {
    max-width: 920px;
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    padding-bottom: 0;
}
.statistics div {
    flex: 1 1 0;
    min-width: 100px;

}
.statistics img {
    height: 70px;
    width: auto;
    padding-bottom: 10px;   
}
.statistics h3 {
    background-color: #409D78;
    /* width: 50px; */
    margin: 0 auto;
    display: block;
    border-radius: 100%;
    margin-top: 15px;
    margin-bottom: 75px;
    text-align: center;
}

/* Event */
#events {
    position: relative;
}
#events .dts-next,
#events .dts-previous {
    top: 50%;
    transform: translateY(-50%);
}
.event {
    background-color: #fff;
    max-width: 920px;
    width: 100%;
    margin: 30px auto;
    display: none;
}
.event.is-active {
    display: block;
}
.event .event__img-background {
    height: 460px;
    background-size: cover;
    background-position: center;
}
.event div {
    display: inline-block;
    width: calc(50% - 60px);
    vertical-align: top;
}
.event .event__content {
    padding: 30px;
    padding-top: 120px;
}
.event b {
    opacity: .6;
}
.event h3 {
    font-size: 1.6rem;
    margin-bottom: 20px;
    margin-top: 5px;
    color: #409D78;
}

/* Donation */
.donation.content {
    max-width: 920px;
    margin: 0 auto;
    text-align: center;
}
.donation__sample {
    display: flex;
    flex-wrap: wrap;
}
.donation__sample div {
    flex: 1 1 0;
}
.donation__sample .dst {
    width: 100%;
}
.donation__sample--content {
    position: relative;
}
.donation__sample--content .border {
    display: none;
}
.dts-previous, .dts-next {
    position: absolute;
    top: 61px;
}
.dts-previous {
    left: 30px;
}
.dts-next {
    right: 30px;
}
.dts-previous img, .dts-next img {
    height: 30px;
}
.dts-next img {
    transform: rotate(-180deg);
}
.dts-previous img:hover, .dts-next img:hover {
    cursor: pointer;
    opacity: .8;
}

.donation__sample .dst:not(.active) {
    display: none;
}
.donation__sample .dst.active {
    display: inline-block;
}
.donation__sample .img_preview {
    border: 1px solid #409D78;
    border-radius: 100%;
    width: 150px;
    height: 150px;
    margin: 0 auto;
    background-color: #fff;
    position: relative;
}
.donation__sample .dst img {
    width: 100px;
    position: relative;
    top: 50%;
    transform: translateY(-50%);
}

/* Footer */
footer .content {
    max-width: 920px;
    margin: 0 auto;
    display: flex;
    color: #f9f9f9;
    flex-wrap: wrap;
}
footer div {
    flex: 1 1 0;
}
footer h4 {
    margin-bottom: 30px;
}
footer a {
    color: #f9f9f9;
    display: inline-block;
    border-bottom: 1px solid #409D78;
    margin-bottom: 10px;
}
footer a:hover {
    border-bottom: 1px solid #f9f9f9;
}


@media only screen and (max-width: 1024px) {
    h1 {
        font-size: 3rem;
    }
    h3 {
        font-size: 1.5rem;
    }

    .border {
        width: calc(100% - 40px);
    }

    .content {
        max-width: calc(100% - 60px) !important;
    }

    /* Header */
    header .content__right {
        display: none;
    }
    header .mobile-menu {
        display: block;
    }

    /* Events */
    .event div {
        width: 100%;
    }
    .event .event__content {
        padding-top: 30px;
        width: calc(100% - 60px);
    }
    #events .dts-next,
    #events .dts-previous {
        margin: 10px;
    }    
    #events .dts-next img,
    #events .dts-previous img {
        background-color: #f9f9f9;
        border-radius: 100%;
        padding: 10px;
    }

    /* Donation */
    .donation__sample div {
        flex: initial;
        width: 100%;
    }
    .donation__sample--content .border {
        display: block;
        margin: 30px auto;
    }    

    /* Footer */
    footer div {
        width: 100%;
        flex: initial;
        text-align: center !important;
    }
}